/*	@(#)grp.h 1.7 89/06/16 SMI; from UCB 4.1 83/05/03	*/

#ifndef	__grp_h
#define	__grp_h


/* __DEV_T is used with older DEC-C compilers */
#if !(defined __UID_T) && !(defined __DEV_T)
#   define __UID_T 1
    typedef unsigned int uid_t;
#endif

#if !(defined __GID_T) && !(defined __DEV_T)
#   define __GID_T 1
    typedef unsigned short gid_t;    
#endif


struct	group { /* see getgrent(3) */
	char	*gr_name;
	char	*gr_passwd;
	int	gr_gid;
	char	**gr_mem;
};

struct group *getgrent();
struct group *getgrgid(gid_t __gid);
struct group *getgrnam(char * __name);

#endif	/* !__grp_h */
